apiVersion: v1
kind: Secret
metadata:
  name: semaphoreui-config
  namespace: {{ .Values.namespace | default "default" }}
  labels:
    {{- include "lib.labels" . | nindent 4}}
type: Opauge
data:
  config.json: {{ toJson .Values.config | b64enc }}
  {{- with .Values.packages }}
  packages.txt: {{ . | b64enc }}
  {{- end }}
  {{- with .Values.requirements }}
  requirements.txt: {{ . | b64enc }}
  {{- end }}
