{{/*
Main entrypoint for the common library chart. It will render all underlying templates based on the provided values.
*/}}
{{- define "lib.all" -}}
  {{- include "lib.values.setup" . }}
  {{- if .Values.serviceAccount.create -}}
  {{- include "lib.serviceaccount" .  | nindent 0 }}
  {{- end -}}
  {{ include "lib.service" . | nindent 0 }}
  {{ if eq .Values.controller.type "statefulset" }}
  {{- include "lib.statefulset" . | nindent 0}}
  {{- end -}}
{{- end -}}


